KColorCombo Class Reference

`#include <kcolorcombo.h>`

Inherits QComboBox.

## Signals

void | activated (const QColor &col)
void | highlighted (const QColor &col)

## Public Member Functions

| KColorCombo (QWidget *parent, const char *name=0L)
void | setColor (const QColor &col)
QColor | color () const
void | showEmptyList ()

## Protected Member Functions

virtual void | resizeEvent (QResizeEvent *re)
virtual void | virtual_hook (int id, void *data)

## Properties

QColor | color

## Detailed Description

Combobox for colors.

Definition at line 39 of file kcolorcombo.h.

## Constructor & Destructor Documentation

KColorCombo::KColorCombo | ( | QWidget * | parent,
|  | const char * | name = `0L`
| ) |  |

Constructs a color combo box.

Definition at line 111 of file kcolorcombo.cpp.

## Member Function Documentation

void KColorCombo::activated | ( | const QColor & | col | ) |

signal

Emitted when a new color box has been selected.

QColor KColorCombo::color | ( |  | ) | const

Returns the currently selected color.

void KColorCombo::highlighted | ( | const QColor & | col | ) |

signal

Emitted when a new item has been highlighted.

void KColorCombo::setColor | ( | const QColor & | col | ) |

Selects the color `col`.

Sets the current color.

Definition at line 136 of file kcolorcombo.cpp.

void KColorCombo::showEmptyList | ( |  | ) |

Clear the color list and don't show it, till the next setColor() call.

Show an empty list, till the next color is set with setColor.

Definition at line 161 of file kcolorcombo.cpp.

## Property Documentation

QColor KColorCombo::color

read write

Returns the currently selected color.

Definition at line 42 of file kcolorcombo.h.

The documentation for this class was generated from the following files:

- kcolorcombo.h
- kcolorcombo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys